# FaceRecognitionNet | @vladmandic/face-api
Documentation for @vladmandic/face-api

### Hierarchy

- NeuralNetwork <NetParams>
  - FaceRecognitionNet

## Index

### Constructors

- constructor

### Properties

- _name

### Accessors

- isLoaded
- paramMappings
- params

### Methods

- computeFaceDescriptor
- dispose
- extractWeights
- forward
- forwardInput
- freeze
- getFrozenParams
- getParamFromPath
- getParamList
- getTrainableParams
- load
- loadFromDisk
- loadFromUri
- loadFromWeightMap
- reassignParamFromPath
- serializeParams
- variable

## Constructors

### constructor

- new FaceRecognitionNet(): FaceRecognitionNet

- Overrides NeuralNetwork.constructor

  - Defined in faceRecognitionNet/FaceRecognitionNet.ts:12

  #### Returns FaceRecognitionNet

## Properties

### _name

_name: any

Inherited from NeuralNetwork._name

- Defined in NeuralNetwork.ts:17

## Accessors

### isLoaded

- get isLoaded(): boolean

- - Defined in NeuralNetwork.ts:23

  #### Returns boolean

### paramMappings

- get paramMappings(): ParamMapping[]

- - Defined in NeuralNetwork.ts:21

  #### Returns ParamMapping[]

### params

- get params(): undefined | TNetParams

- - Defined in NeuralNetwork.ts:19

  #### Returns undefined | TNetParams

## Methods

### computeFaceDescriptor

- computeFaceDescriptor(input: any): Promise<Float32Array | Float32Array[]>

- - Defined in faceRecognitionNet/FaceRecognitionNet.ts:62

  #### Parameters

  - ##### input: any

  #### Returns Promise<Float32Array | Float32Array[]>

### dispose

- dispose(throwOnRedispose?: boolean): void

- Inherited from NeuralNetwork.dispose

  - Defined in NeuralNetwork.ts:65

  #### Parameters

  - ##### throwOnRedispose: boolean = true

  #### Returns void

### extractWeights

- extractWeights(weights: Float32Array): void

- Inherited from NeuralNetwork.extractWeights

  - Defined in NeuralNetwork.ts:118

  #### Parameters

  - ##### weights: Float32Array

  #### Returns void

### forward

- forward(input: any): Promise<any>

- - Defined in faceRecognitionNet/FaceRecognitionNet.ts:58

  #### Parameters

  - ##### input: any

  #### Returns Promise<any>

### forwardInput

- forwardInput(input: NetInput ): any

- - Defined in faceRecognitionNet/FaceRecognitionNet.ts:17

  #### Parameters

  - ##### input: NetInput

  #### Returns any

### freeze

- freeze(): void

- Inherited from NeuralNetwork.freeze

  - Defined in NeuralNetwork.ts:57

  #### Returns void

### getFrozenParams

- getFrozenParams(): { path: string; tensor: any }[]

- Inherited from NeuralNetwork.getFrozenParams

  - Defined in NeuralNetwork.ts:47

  #### Returns { path: string; tensor: any }[]

### getParamFromPath

- getParamFromPath(paramPath: string): any

- Inherited from NeuralNetwork.getParamFromPath

  - Defined in NeuralNetwork.ts:25

  #### Parameters

  - ##### paramPath: string

  #### Returns any

### getParamList

- getParamList(): { path: string; tensor: any }[]

- Inherited from NeuralNetwork.getParamList

  - Defined in NeuralNetwork.ts:36

  #### Returns { path: string; tensor: any }[]

### getTrainableParams

- getTrainableParams(): { path: string; tensor: any }[]

- Inherited from NeuralNetwork.getTrainableParams

  - Defined in NeuralNetwork.ts:43

  #### Returns { path: string; tensor: any }[]

### load

- load(weightsOrUrl: undefined | string | Float32Array): Promise<void>

- Inherited from NeuralNetwork.load

  - Defined in NeuralNetwork.ts:83

  #### Parameters

  - ##### weightsOrUrl: undefined | string | Float32Array

  #### Returns Promise<void>

### loadFromDisk

- loadFromDisk(filePath: undefined | string): Promise<void>

- Inherited from NeuralNetwork.loadFromDisk

  - Defined in NeuralNetwork.ts:99

  #### Parameters

  - ##### filePath: undefined | string

  #### Returns Promise<void>

### loadFromUri

- loadFromUri(uri: undefined | string): Promise<void>

- Inherited from NeuralNetwork.loadFromUri

  - Defined in NeuralNetwork.ts:91

  #### Parameters

  - ##### uri: undefined | string

  #### Returns Promise<void>

### loadFromWeightMap

- loadFromWeightMap(weightMap: any): void

- Inherited from NeuralNetwork.loadFromWeightMap

  - Defined in NeuralNetwork.ts:112

  #### Parameters

  - ##### weightMap: any

  #### Returns void

### reassignParamFromPath

- reassignParamFromPath(paramPath: string, tensor: any): void

- Inherited from NeuralNetwork.reassignParamFromPath

  - Defined in NeuralNetwork.ts:30

  #### Parameters

  - ##### paramPath: string

  - ##### tensor: any

  #### Returns void

### serializeParams

- serializeParams(): Float32Array

- Inherited from NeuralNetwork.serializeParams

  - Defined in NeuralNetwork.ts:75

  #### Returns Float32Array

### variable

- variable(): void

- Inherited from NeuralNetwork.variable

  - Defined in NeuralNetwork.ts:51

  #### Returns void